Subject: bug#62994: [PATCH v3 0/1] Support styled underlines on tty Emacs frames

From: [email-masked]
Date: Sat, 22 Apr 2023 11:21:45 +0100

From: Mohsin Kaleem <[email-masked]>

Modern terminals (such as kitty) support setting the style of an
underline with the escape sequence exposed in the Smulx termcap.
This allows for (among others) wavy underlines on terminals.
These terminals also support setting the color of these underlines
using a separate escape sequence that to the best of my knowledge
is not exposed as a termcap but has been adopted by other terminal
supporting editors like neovim.

Version 3: All changed hunks reformatted with M-x tabify.
I think the only comment that hasn't been actioned on is whether to
retain the original order of underline styles in face_underline_type.

Mohsin Kaleem (1):
  Add support for colored and styled underlines on tty frames

 etc/NEWS         |  13 +++++
 lisp/cus-face.el |   5 +-
 src/dispextern.h |  10 ++--
 src/term.c       |  54 +++++++++++++++++++--
 src/termchar.h   |   7 +++
 src/xfaces.c     | 121 ++++++++++++++++++++++++++++++++++++++++++-----
 6 files changed, 190 insertions(+), 20 deletions(-)

-- 
2.40.0